_base=mtl4
pkgname=${_base}-svn
pkgver=r10870
pkgrel=1
pkgdesc="The Matrix Template Library"
arch=('x86_64')
url="https://www.simunova.com/de/${_base}"
license=('custom')
depends=('boost')
makedepends=('subversion' 'cmake' 'suitesparse')
optdependes=('suitesparse: for xyz')
conflicts=(${_base})
provides=(${_base})
source=(svn+https://svn.simunova.com/svn/${_base}/trunk)
sha512sums=('SKIP')

pkgver() {
  cd trunk
  local ver="$(svnversion)"
  printf "r%s" "${ver//[[:alpha:]]/}"
}

build() {
  cmake \
    -S trunk \
    -B build-cmake \
    -DCMAKE_BUILD_TYPE=None \
    -DCMAKE_SKIP_RPATH=ON \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_CXX_STANDARD=14 \
    -DCMAKE_C_COMPILER=gcc \
    -DCMAKE_CXX_COMPILER=g++ \
    -Wno-dev
  cmake --build build-cmake --target all
}

package() {
  DESTDIR="${pkgdir}" cmake --build build-cmake --target install
}
